﻿package groovy
import cz.tacr.cam.service.groovy.GroovyAppender
import cz.tacr.cam.service.groovy.GroovyItem
import cz.tacr.cam.service.groovy.GroovyPart
import cz.tacr.cam.service.groovy.GroovyResult
import cz.tacr.cam.service.groovy.GroovyUtils

return generate(PART)

static GroovyResult generate(final GroovyPart part) {
    GroovyAppender base = GroovyUtils.createAppender(part)
    base.add("IDN_TYPE")
    base.add("IDN_VALUE").withSeparator(": ")
    base.add("IDN_VALID_FROM").withSeparator(", ").withPrefix("platnost od: ")
    base.add("IDN_VALID_TO").withSeparator(", ").withPrefix("platnost do: ")
    base.addBool("IDN_VERIFIED", "ověřena", "neověřena").withSeparator(", ").withPrefix("(hodnota ").withPostfix(")")
    GroovyResult result = new GroovyResult()
    result.setDisplayName(base.build())

    GroovyAppender shortName = GroovyUtils.createAppender(part)
    shortName.add("IDN_TYPE")
    shortName.add("IDN_VALUE").withSeparator(": ")
    
    def shortn = shortName.build()
    result.addIndex("SHORT_NAME", shortn)

    def addIdent = false
    for (GroovyItem item : part.getItems("IDN_TYPE")) {
        if (item.spec != null && ( item.spec.equals("Kód CZ_RETRO") || item.spec.equals("NUTS/LAU") || item.spec.equals("ISO 3166-1 numeric") || item.spec.equals("ISO 3166-1 alpha-3") || item.spec.equals("ISO 3166-1 alpha-2") ) ) {
            addIdent = true
            break
        }
    }

    if (addIdent) {
        result.setKeyValue("PT_IDENT", shortn);
    }
    return result
}