package groovy

import cz.tacr.cam.service.groovy.GroovyAppender
import cz.tacr.cam.service.groovy.GroovyPart
import cz.tacr.cam.service.groovy.GroovyResult
import cz.tacr.cam.service.groovy.GroovyUtils

return generate(PART)

static GroovyResult generate(final GroovyPart part) {
    GroovyAppender base = GroovyUtils.createAppender(part)
    base.add("REL_ENTITY").withSpec()
    base.add("REL_BEGIN").withSeparator(", ").withPrefix("od: ")
    base.add("REL_END").withSeparator(", ").withPrefix("do: ")
    GroovyResult result = new GroovyResult()
    result.setDisplayName(base.build())
    
    GroovyAppender shortName = GroovyUtils.createAppender(part)
    shortName.addInt("REL_ENTITY").withSpec()
    shortName.add("REL_BEGIN").withSeparator(", ").withPrefix("od: ")
    shortName.add("REL_END").withSeparator(", ").withPrefix("do: ")
    result.addIndex("SHORT_NAME", shortName.build());  
    
    return result
}